# Tomcat
server:
  port: 18080
  servlet:
    context-path: /

spring:
  application:
    name: @application.name@
  profiles:
    active: dev
  main:
    # 允许Bean定义覆盖，解决redisTemplate冲突
    # 响应式环境（Gateway）：Redisson 的 Bean 和自定义 Bean 同时加载，产生冲突
    # 在 WebFlux（Gateway）和 Servlet（Auth）环境中，自动配置的策略不同
    allow-bean-definition-overriding: true
#logging:
#  level:
#    com.alibaba.cloud.nacos: DEBUG
#    com.alibaba.nacos: DEBUG
#    com.alibaba.nacos.client.config: DEBUG
#    com.alibaba.cloud.nacos.refresh: DEBUG
#    org.springframework.cloud.gateway: DEBUG
#    org.springframework.cloud.context.refresh: DEBUG
